//
//  VDTextFieldWithFixedDropDown.m
//  DropDownList
//
//  Created by Claus Richter on 4/21/14.
//  Copyright (c) 2014 Claus Richter. All rights reserved.
//

#import "VDTextFieldWithFixedDropDown.h"

@implementation VDTextFieldWithFixedDropDown

- (id)initWithFrame:(CGRect)frame
{
    self = [super initWithFrame:frame];
    if (self) {
        // Initialization code
        self.fixed = YES;
    }
    return self;
}


- (id)initWithCoder:(NSCoder *)aDecoder
{
    self = [super initWithCoder:aDecoder];
    if (self) {
        // Initialization code
        self.fixed = YES;
    }
    return self;
}

- (BOOL)becomeFirstResponder {
    [self.superview endEditing:YES];
    [self performSelector:@selector(showPopover) withObject:nil afterDelay:0.0];
    return YES;
}

- (BOOL)resignFirstResponder {
    [self dismissPopover];
    return [super resignFirstResponder];
}


@end
